@ECHO OFF
IF [%1]==[] (
	GOTO :DESCRIPTION
)

IF [%2]==[] (
	GOTO :DESCRIPTION
)

IF NOT EXIST "%~2\temp\mesh_result.ply" (
	@ECHO Running first MVIR ...
	mvirc -i "%~1" -o "%~2\temp" --area-threshold 4 --step-count 1 --step-iteration 60 --step-modifier 0.25 --ref-index 0
	IF %ERRORLEVEL% neq 0 EXIT /B %ERRORLEVEL%
)

@ECHO(
@ECHO Running Poisson Reconstruction ...
PoissonRecon.x64 --in "%~2\temp\mesh_result.ply" --out "%~2\temp\mesh_result-p-binary.ply" --density --depth 8
IF %ERRORLEVEL% neq 0 EXIT /B %ERRORLEVEL%

@ECHO(
@ECHO Converting Binary PLY to ASCII PLY ...
rply-convert -a "%~2\temp\mesh_result-p-binary.ply" "%~2\temp\mesh_result-p-ascii.ply"
IF %ERRORLEVEL% neq 0 EXIT /B %ERRORLEVEL%

@ECHO(
@ECHO Running Second MVIR ...
mvirc -i "%~1" -o "%~2" --area-threshold 4 --step-count 4 --step-iteration 15 --step-modifier 0.5 --ref-index 0 --input-mesh "%~2\temp\mesh_result-p-ascii.ply" --initial-illumination "%~2\temp\illumination.txt" 

:SUCCESS
@ECHO(
@ECHO COMPLETE!
EXIT /B 0

:DESCRIPTION
@ECHO Usage:
@ECHO run_joyfull [joyfull_folder] [output_folder]
EXIT /B 0